View Issue Details

IDProjectCategoryView StatusLast Update
0001653SymmetricDSImprovementpublic2014-06-16 20:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001653: Allow downgrades within same minor version
DescriptionCurrently any version difference, even a downgrade of a patch level will be detected as a downgrade and not allow the server to run. Let's allow the version to downgrade as long as it's the same X.Y minor version.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 73c4dfa8

2014-03-26 16:41:17

erilong

Details Diff
0001653: Allow downgrades within same minor version
0001653
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/Version.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/VersionUnitTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File

Issue History

Date Modified Username Field Change
2014-03-26 16:37 elong New Issue
2014-03-26 16:37 elong Status new => assigned
2014-03-26 16:37 elong Assigned To => elong
2014-03-26 16:42 elong Status assigned => resolved
2014-03-26 16:42 elong Fixed in Version => 3.6.0
2014-03-26 16:42 elong Resolution open => fixed
2014-03-26 17:00 Changeset attached => SymmetricDS trunk r8110
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 73c4dfa8